Add IDs to Segment
curl --request PATCH \
--url https://statsigapi.net/console/v1/segments/{id}/id_list \
--header 'Content-Type: application/json' \
--header 'STATSIG-API-KEY: <api-key>' \
--data '
{
"ids": [
"<string>"
]
}
'import requests
url = "https://statsigapi.net/console/v1/segments/{id}/id_list"
payload = { "ids": ["<string>"] }
headers = {
"STATSIG-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'STATSIG-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: ['<string>']})
};
fetch('https://statsigapi.net/console/v1/segments/{id}/id_list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "IDs successfully added to Segment ID List"
}{
"status": 400,
"message": "Invalid request. Please check the request input and try again."
}{
"status": 401,
"message": "This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx"
}{
"status": 404,
"message": "Not Found. The requested resource could not be found."
}Segments
Add IDs to Segment
This endpoint is rate limited to 900 requests /15m or 12 requests /10s.
PATCH
/
console
/
v1
/
segments
/
{id}
/
id_list
Add IDs to Segment
Authorizations
Headers
Optional header to respect review settings for mutation endpoints.
Path Parameters
id
Body
application/json
Maximum array length:
100000Response
Segment ids updated successfully.
⌘I

